Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Tue, 21 Feb 2023 12:04:29 +0200

On 21/02/2023 09:32, Po Lu via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> This has been happening from time to time recently: I visit a file
>> (either through recents or through project-find-file), and the buffer
>> stays blank for a while, giving an appearance that it's "loading".
>>
>> But if I issue a new command (e.g. move the cursor), it redisplays
>> instantly.
>>
>> This happens with my personal configuration, and rather randomly. How
>> should I go about debugging it?
>>
>> In GNU Emacs 29.0.60 (build 101, x86_64-pc-linux-gnu, GTK+ Version
>>   3.24.34, cairo version 1.16.0) of 2023-02-18 built on potemkin
>> Repository revision: 6c0d8210175e72dcd7cef2ad77b8f8b680b240bc
>> Repository branch: emacs-29
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
>> System Description: Ubuntu 22.10
>>
>> Configured features:
>> CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
>> LIBOTF LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
>> SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER X11
>> XDBE XIM XINPUT2 XPM GTK3 ZLIB
> 
> Are you sure this is because redisplay is not happening, and not because
> Emacs is stuck in xg_select?
> 
> If you hover over a tool bar button when this happens, or move the
> mouse, does the button become highlighted or redisplay happen?

The situation seems a lot more difficult to reproduce with tool-bar-mode 
on (I usually keep it off) -- haven't managed so far.

But without the tool-bar, I reproduced it a bunch of times over the last 
couple of minutes.

Hovering the mouse over the mode-line does trigger the necessary 
redisplay. Alt-Tabbing to another window and then back also does that. 
Is that relevant?

Simply moving the mouse (not over the mode-line) doesn't help.

The refresh can also happen on its own, in 1-2 seconds.